package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.dto.LibraryDetailDTO;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.vo.ConceptVo;
import com.diagbot.vo.TermVo;

import java.util.List;

/**
 * <p>
 * 提示信息明细 服务类
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryDetailService extends IService<LibraryDetail> {
    public IPage<LibraryDetailDTO> getAllKnowledge(ConceptVo conceptVo);

    public List<LibraryDetail> getLibraryDetail(TermVo termVo);

    public void truncateDetail();

    public List<LibraryDetail> getLimboItems();
}
